# List all invoices

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

{% code overflow="wrap" %}

```
https://app-api.tryduplo.com/v1/merchants/invoice?business_id=f636411f-d4c0-4dd6-86b3-93746d8f71&per_page=10&search_term=100&invoice_status=&payment_status=
```

{% endcode %}

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="536"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="260"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong><br><code>string</code></td><td>Merchant business ID</td></tr><tr><td><strong>page</strong><br><code>string</code></td><td>Specifies the current page in a list of paginated data, default is set to 1</td></tr><tr><td><strong>per_page</strong><br><code>string</code></td><td>Specifies the number of records per page of a paginated data, default is set to 50</td></tr><tr><td><strong>search_term</strong><br><code>string</code></td><td>Specifies a keyword to be used in filtering transactions.</td></tr><tr><td><strong>invoice_status</strong><br><code>string</code></td><td>Invoice status</td></tr><tr><td><strong>payment_status</strong><br><code>string</code></td><td>Payment status</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://app-api.tryduplo.com/v1/merchants/invoice?business_id=f6411f-d4c0-4dd6-86b3-937e646d8f71&per_page=10&search_term=100' \
--header 'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e054eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://app-api.tryduplo.com/v1/merchants/invoice?business_id=f636411f-d4c0-4dd6-86b3-937e68f71&per_page=10&search_term=100',
  headers: { 
    'Authorization': 'Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://app-api.tryduplo.com/v1/merchants/invoice?business_id=f636411f-d4c0-4dd6-86b3-937e64f71&per_page=10&search_term=100',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba0e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
    "data": {
        "data": [
            {
                "id": "ec07d5ef-9e9d-4b83-b5ac-d73f5f86e75b",
                "invoice_number": "78779939988",
                "title": "Invoice for Mwenda Deno",
                "recipient": "wal_ZKmo7StVZMrZ",
                "due_date": "2022-05-25T00:00:00.000Z",
                "items": [
                    {
                        "name": "sample name",
                        "total": 7510.5,
                        "quantity": 15,
                        "unit_price": 500.7
                    },
                    {
                        "name": "sample name 2",
                        "total": 3118.6,
                        "quantity": 31,
                        "unit_price": 100.6
                    }
                ],
                "shipping_fee": 670.9,
                "discount": {
                    "type": "amount",
                    "value": 400.5
                },
                "tax": {
                    "type": "percentage",
                    "value": 10.2,
                    "description": "sample description"
                },
                "total_invoice_amount": "12011.249",
                "note": "sample note",
                "status": "draft",
                "public_id": "bekBHSZwtXmUfIxtiuPtHlbvBQky7msw",
                "account": {
                    "provider": {
                        "id": "wema",
                        "default": true,
                        "prefixes": [
                            "222",
                            "919",
                            "888"
                        ],
                        "bank_code": "111",
                        "bank_name": "Wema Bank",
                        "is_prefix": true,
                        "credentials": {}
                    },
                    "account_ref": "act_vlOkGxRjKKoB",
                    "account_number": "8880000368"
                },
                "payment": {
                    "reason": null,
                    "status": "UNPAID"
                },
                "created_at": "2022-05-25T19:19:11.954Z",
                "update_at": "2022-05-25T19:19:11.955Z",
                "business_id": "80efed51-96fc-43c7-9075-9f78877d26bc"
            }
        ],
        "meta": {
            "page": 1,
            "limit": 20,
            "previousPage": false,
            "nextPage": false,
            "pageCount": 1,
            "total": 1
        },
        "additional_data": {
            "paid_invoices": {
                "amount": "12011.25",
                "count": 2
            },
            "unpaid_invoices": {
                "amount": "72067.49",
                "count": 6
            },
            "overdue_invoices": {
                "amount": "72067.49",
                "count": 6
            },
            "all_invoices": {
                "amount": "264247.48",
                "count": 23
            }
        }
    },
    "errors": {},
    "message": "Request successful"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/collect-payments/invoices/list-all-invoices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
